Facturation
Lister les transactions du portefeuille
Lister les transactions de facturation
GET
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
transactions
Lister les transactions de facturation
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total": 123,
"items": [
{
"amount": "<string>",
"currency": "<string>",
"direction": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"balance_after": "<string>",
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Paramètres de chemin
Réponse
Numéro de page actuel basé sur un
Nombre maximum d'éléments par page
Total des transactions de portefeuille correspondantes
Transactions de portefeuille sur cette page
Hide child attributes
Hide child attributes
Montant de la transaction
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Code de devise du portefeuille
Direction des transactions
Horodatage effectif de la transaction
Statut de la transaction du portefeuille
Transaction de portefeuille UUID
Type de transaction de portefeuille
Solde du portefeuille après la transaction
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Description de l'opération
Cette page vous a-t-elle été utile ?
⌘I
Lister les transactions de facturation
